<?php
$tdatastockout = array();
$tdatastockout[".searchableFields"] = array();
$tdatastockout[".ShortName"] = "stockout";
$tdatastockout[".OwnerID"] = "";
$tdatastockout[".OriginalTable"] = "stockout";


$tdatastockout[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatastockout[".originalPagesByType"] = $tdatastockout[".pagesByType"];
$tdatastockout[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatastockout[".originalPages"] = $tdatastockout[".pages"];
$tdatastockout[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatastockout[".originalDefaultPages"] = $tdatastockout[".defaultPages"];

//	field labels
$fieldLabelsstockout = array();
$fieldToolTipsstockout = array();
$pageTitlesstockout = array();
$placeHoldersstockout = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstockout["English"] = array();
	$fieldToolTipsstockout["English"] = array();
	$placeHoldersstockout["English"] = array();
	$pageTitlesstockout["English"] = array();
	$fieldLabelsstockout["English"]["orgID"] = "Org ID";
	$fieldToolTipsstockout["English"]["orgID"] = "";
	$placeHoldersstockout["English"]["orgID"] = "";
	$fieldLabelsstockout["English"]["StockoutID"] = "Stockout ID";
	$fieldToolTipsstockout["English"]["StockoutID"] = "";
	$placeHoldersstockout["English"]["StockoutID"] = "";
	$fieldLabelsstockout["English"]["Dateout"] = "Dateout";
	$fieldToolTipsstockout["English"]["Dateout"] = "";
	$placeHoldersstockout["English"]["Dateout"] = "";
	$fieldLabelsstockout["English"]["Totalprice"] = "Totalprice";
	$fieldToolTipsstockout["English"]["Totalprice"] = "";
	$placeHoldersstockout["English"]["Totalprice"] = "";
	$fieldLabelsstockout["English"]["Noted"] = "Noted";
	$fieldToolTipsstockout["English"]["Noted"] = "";
	$placeHoldersstockout["English"]["Noted"] = "";
	$fieldLabelsstockout["English"]["UserID"] = "User ID";
	$fieldToolTipsstockout["English"]["UserID"] = "";
	$placeHoldersstockout["English"]["UserID"] = "";
	if (count($fieldToolTipsstockout["English"]))
		$tdatastockout[".isUseToolTips"] = true;
}


	$tdatastockout[".NCSearch"] = true;



$tdatastockout[".shortTableName"] = "stockout";
$tdatastockout[".nSecOptions"] = 0;

$tdatastockout[".mainTableOwnerID"] = "";
$tdatastockout[".entityType"] = 0;
$tdatastockout[".connId"] = "eflejob_at_localhost";


$tdatastockout[".strOriginalTableName"] = "stockout";

	



$tdatastockout[".showAddInPopup"] = false;

$tdatastockout[".showEditInPopup"] = false;

$tdatastockout[".showViewInPopup"] = false;

	$tdatastockout[".listAjax"] = true;
//	temporary
//$tdatastockout[".listAjax"] = false;

	$tdatastockout[".audit"] = false;

	$tdatastockout[".locking"] = false;


$pages = $tdatastockout[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastockout[".edit"] = true;
	$tdatastockout[".afterEditAction"] = 1;
	$tdatastockout[".closePopupAfterEdit"] = 1;
	$tdatastockout[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastockout[".add"] = true;
$tdatastockout[".afterAddAction"] = 1;
$tdatastockout[".closePopupAfterAdd"] = 1;
$tdatastockout[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastockout[".list"] = true;
}



$tdatastockout[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastockout[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastockout[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastockout[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastockout[".printFriendly"] = true;
}



$tdatastockout[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastockout[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastockout[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastockout[".isUseAjaxSuggest"] = true;



						

$tdatastockout[".ajaxCodeSnippetAdded"] = false;

$tdatastockout[".buttonsAdded"] = false;

$tdatastockout[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastockout[".isUseTimeForSearch"] = false;


$tdatastockout[".badgeColor"] = "bc8f8f";


$tdatastockout[".allSearchFields"] = array();
$tdatastockout[".filterFields"] = array();
$tdatastockout[".requiredSearchFields"] = array();

$tdatastockout[".googleLikeFields"] = array();
$tdatastockout[".googleLikeFields"][] = "StockoutID";
$tdatastockout[".googleLikeFields"][] = "orgID";
$tdatastockout[".googleLikeFields"][] = "Dateout";
$tdatastockout[".googleLikeFields"][] = "Totalprice";
$tdatastockout[".googleLikeFields"][] = "Noted";
$tdatastockout[".googleLikeFields"][] = "UserID";



$tdatastockout[".tableType"] = "list";

$tdatastockout[".printerPageOrientation"] = 0;
$tdatastockout[".nPrinterPageScale"] = 100;

$tdatastockout[".nPrinterSplitRecords"] = 40;

$tdatastockout[".geocodingEnabled"] = false;










$tdatastockout[".pageSize"] = 20;

$tdatastockout[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatastockout[".strOrderBy"] = $tstrOrderBy;

$tdatastockout[".orderindexes"] = array();


$tdatastockout[".sqlHead"] = "SELECT StockoutID,  	orgID,  	Dateout,  	Totalprice,  	Noted,  	UserID";
$tdatastockout[".sqlFrom"] = "FROM stockout";
$tdatastockout[".sqlWhereExpr"] = "";
$tdatastockout[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastockout[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastockout[".arrGroupsPerPage"] = $arrGPP;

$tdatastockout[".highlightSearchResults"] = true;

$tableKeysstockout = array();
$tableKeysstockout[] = "orgID";
$tableKeysstockout[] = "stockoutID";
$tdatastockout[".Keys"] = $tableKeysstockout;


$tdatastockout[".hideMobileList"] = array();




//	StockoutID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "StockoutID";
	$fdata["GoodName"] = "StockoutID";
	$fdata["ownerTable"] = "stockout";
	$fdata["Label"] = GetFieldLabel("stockout","StockoutID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "StockoutID";

		$fdata["sourceSingle"] = "stockoutID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StockoutID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockout["StockoutID"] = $fdata;
		$tdatastockout[".searchableFields"][] = "StockoutID";
//	orgID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "orgID";
	$fdata["GoodName"] = "orgID";
	$fdata["ownerTable"] = "stockout";
	$fdata["Label"] = GetFieldLabel("stockout","orgID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "orgID";

		$fdata["sourceSingle"] = "orgID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "orgID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockout["orgID"] = $fdata;
		$tdatastockout[".searchableFields"][] = "orgID";
//	Dateout
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Dateout";
	$fdata["GoodName"] = "Dateout";
	$fdata["ownerTable"] = "stockout";
	$fdata["Label"] = GetFieldLabel("stockout","Dateout");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "Dateout";

		$fdata["sourceSingle"] = "Dateout";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Dateout";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockout["Dateout"] = $fdata;
		$tdatastockout[".searchableFields"][] = "Dateout";
//	Totalprice
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Totalprice";
	$fdata["GoodName"] = "Totalprice";
	$fdata["ownerTable"] = "stockout";
	$fdata["Label"] = GetFieldLabel("stockout","Totalprice");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Totalprice";

		$fdata["sourceSingle"] = "Totalprice";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totalprice";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockout["Totalprice"] = $fdata;
		$tdatastockout[".searchableFields"][] = "Totalprice";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "stockout";
	$fdata["Label"] = GetFieldLabel("stockout","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

		$fdata["sourceSingle"] = "Noted";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockout["Noted"] = $fdata;
		$tdatastockout[".searchableFields"][] = "Noted";
//	UserID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "UserID";
	$fdata["GoodName"] = "UserID";
	$fdata["ownerTable"] = "stockout";
	$fdata["Label"] = GetFieldLabel("stockout","UserID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "UserID";

		$fdata["sourceSingle"] = "UserID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "UserID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockout["UserID"] = $fdata;
		$tdatastockout[".searchableFields"][] = "UserID";


$tables_data["stockout"]=&$tdatastockout;
$field_labels["stockout"] = &$fieldLabelsstockout;
$fieldToolTips["stockout"] = &$fieldToolTipsstockout;
$placeHolders["stockout"] = &$placeHoldersstockout;
$page_titles["stockout"] = &$pageTitlesstockout;


changeTextControlsToDate( "stockout" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["stockout"] = array();
//	stockoutdetail
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="stockoutdetail";
		$detailsParam["dOriginalTable"] = "stockoutdetail";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "stockoutdetail";
	$detailsParam["dCaptionTable"] = GetTableCaption("stockoutdetail");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["stockout"][$dIndex] = $detailsParam;

	
		$detailsTablesData["stockout"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["stockout"][$dIndex]["masterKeys"][]="StockoutID";

				$detailsTablesData["stockout"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["stockout"][$dIndex]["detailKeys"][]="StockoutID";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["stockout"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="organizations";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="organizations";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "organizations";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["stockout"][0] = $masterParams;
				$masterTablesData["stockout"][0]["masterKeys"] = array();
	$masterTablesData["stockout"][0]["masterKeys"][]="OrgID";
				$masterTablesData["stockout"][0]["detailKeys"] = array();
	$masterTablesData["stockout"][0]["detailKeys"][]="orgID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_stockout()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "StockoutID,  	orgID,  	Dateout,  	Totalprice,  	Noted,  	UserID";
$proto0["m_strFrom"] = "FROM stockout";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "StockoutID",
	"m_strTable" => "stockout",
	"m_srcTableName" => "stockout"
));

$proto6["m_sql"] = "StockoutID";
$proto6["m_srcTableName"] = "stockout";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "orgID",
	"m_strTable" => "stockout",
	"m_srcTableName" => "stockout"
));

$proto8["m_sql"] = "orgID";
$proto8["m_srcTableName"] = "stockout";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Dateout",
	"m_strTable" => "stockout",
	"m_srcTableName" => "stockout"
));

$proto10["m_sql"] = "Dateout";
$proto10["m_srcTableName"] = "stockout";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Totalprice",
	"m_strTable" => "stockout",
	"m_srcTableName" => "stockout"
));

$proto12["m_sql"] = "Totalprice";
$proto12["m_srcTableName"] = "stockout";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "stockout",
	"m_srcTableName" => "stockout"
));

$proto14["m_sql"] = "Noted";
$proto14["m_srcTableName"] = "stockout";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "UserID",
	"m_strTable" => "stockout",
	"m_srcTableName" => "stockout"
));

$proto16["m_sql"] = "UserID";
$proto16["m_srcTableName"] = "stockout";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "stockout";
$proto19["m_srcTableName"] = "stockout";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "StockoutID";
$proto19["m_columns"][] = "orgID";
$proto19["m_columns"][] = "Dateout";
$proto19["m_columns"][] = "Totalprice";
$proto19["m_columns"][] = "Noted";
$proto19["m_columns"][] = "UserID";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "stockout";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "stockout";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="stockout";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_stockout = createSqlQuery_stockout();


	
		;

						

$tdatastockout[".sqlquery"] = $queryData_stockout;



$tdatastockout[".hasEvents"] = false;

?>